ServiceType (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.ServiceType class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class ServiceType

    java.lang.Object
      org.hyperic.hq.product.ServiceType

    public class ServiceType

extends java.lang.Object

Representation of a service type, equivalent to the data specified by the XML tag

Constructor Summary
`ServiceType(java.lang.String serviceName, java.lang.String productName, ServiceTypeInfo info)`

Method Summary
`void` | `addControlAction(java.lang.String controlAction)` Adds a control action to the collection of control actions
`boolean` | `equals(java.lang.Object obj)`
`AIServiceTypeValue` | `getAIServiceTypeValue()`
`java.util.Set` | `getControlActions()`
`ConfigSchema` | `getCustomProperties()`
`ServiceTypeInfo` | `getInfo()`
`MeasurementInfos` | `getMeasurements()`
`ConfigResponse` | `getPluginClasses()`
`java.lang.String` | `getProductName()`
`ConfigResponse` | `getProperties()`
`java.lang.String` | `getServiceName()`
`int` | `hashCode()`
`void` | `setControlActions(java.util.Set controlActions)`
`void` | `setCustomProperties(ConfigSchema customProperties)`
`void` | `setMeasurements(MeasurementInfos measurements)`
`void` | `setPluginClasses(ConfigResponse pluginClasses)`
`void` | `setProperties(ConfigResponse properties)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceType

    public ServiceType(java.lang.String serviceName,
                       java.lang.String productName,
                       ServiceTypeInfo info)

Parameters:
  `serviceName` - The unique service type name (unique with respect to server type)
  `productName` - The name of the product containing this service
  `info` - The `ServiceTypeInfo` describing this service type

Method Detail

### addControlAction

    public void addControlAction(java.lang.String controlAction)

  Adds a control action to the collection of control actions

  Parameters:
    `controlAction` - The name of the control action to add

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### getAIServiceTypeValue

    public AIServiceTypeValue getAIServiceTypeValue()

  Returns:
    The `AIServiceTypeValue` representing this ServiceType

### getControlActions

    public java.util.Set getControlActions()

  Returns:
    The set of control action names for this `ServiceType`

### getCustomProperties

    public ConfigSchema getCustomProperties()

  Returns:
    The custom properties for this `ServiceType`

### getInfo

    public ServiceTypeInfo getInfo()

  Returns:
    The `ServiceTypeInfo` describing this service type

### getMeasurements

    public MeasurementInfos getMeasurements()

  Returns:
    The measurements for this service type

### getPluginClasses

    public ConfigResponse getPluginClasses()

  Returns:
    The plugins for this service type. Key of properties map is plugin type (i.e. "control"), value is fully qualified class name of plugin

### getProductName

    public java.lang.String getProductName()

  Returns:
    The name of the product containing this service

### getProperties

    public ConfigResponse getProperties()

  Returns:
    The properties of this service type (the ones used internally). This is equivalent to the direct tag in the service XML (as opposed to the tag which defines custom properties).

### getServiceName

    public java.lang.String getServiceName()

  Returns:
    The unique service type name (unique with respect to server type)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### setControlActions

    public void setControlActions(java.util.Set controlActions)

  Parameters:
    `controlActions` - The set of control action names for this `ServiceType`

### setCustomProperties

    public void setCustomProperties(ConfigSchema customProperties)

  Parameters:
    `customProperties` - The custom properties for this `ServiceType`

### setMeasurements

    public void setMeasurements(MeasurementInfos measurements)

  Parameters:
    `measurements` - The measurements for this service type

### setPluginClasses

    public void setPluginClasses(ConfigResponse pluginClasses)

  Parameters:
    `pluginClasses` - The plugins for this service type. Key of properties map is plugin type (i.e. "control"), value is fully qualified class name of plugin

### setProperties

    public void setProperties(ConfigResponse properties)

  Parameters:
    `properties` - The properties of this service type (the ones used internally). This is equivalent to the direct tag in the service XML (as opposed to the tag which defines custom properties).

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.